<?php
// www.class.inc.php - tridy pro zobrazovani www stranky
class C_www {
   var $background, $bgcolor, $link, $vlink, $alink, $hover, $language;
   var $textcol, $font, $fontsize;

   function C_www ($bgcolor="#ffffff", $link="blue", $vlink="#000000",
                   $alink="red", $hover="green", 
                   $font="Verdana, \"Arial CE\", Arial", 
                   $fontsize="11px", $textcol="black") {
      #inicializace (+default barvy)
      #neni nastaveny bgcolor, takze je pripadne potreba nasledne
      #definovat
      
      $this->bgcolor = $bgcolor;
      $this->link = $link;
      $this->vlink = $vlink;
      $this->alink = $alink;
      $this->hover = $hover;
      $this->font = $font;
      $this->fontsize = $fontsize;
      $this->textcol = $textcol;
   }

   ////
   // !ziska od klienta pozadovany jazyk
   // zatim foo
   function get_language() {
      global $lang;

      if (!$lang) {
         $this->language = "cz";
      } else {
         $this->language = $lang;
      }
   }

   ////
   // !vykpise HTML hlavicku dokumentu
   // Ten CSS style jeste neni moc dodelanej
   function hlavicka($titulek) {
      global $root;
/*
      echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\"";
      echo " \"http://www.w3.org/TR/REC-html40/loose.dtd\">\n";
      echo "<html>\n";
      echo "<head><title>$titulek</title>\n";
      echo "<style type=\"text/css\">\n";
      include("$root/inc/stylesheet.inc.css");
      echo "</style>\n";
      require("$root/inc/javascript.inc.js");
      echo "</head>\n";
      echo "<body";
      if ($this->background) {
         echo " background=\"". $this->background . "\"";
      }
      echo " bgcolor=\"" . $this->bgcolor . "\" link=\"" . $this->link . "\"";
      echo " alink=\"" . $this->alink . "\" vlink=\"" . $this->vlink . "\">\n";*/
   }

   ////
   // !zavre html stranku
   function pata() {
      echo "</body>\n";
      echo "</html>\n";
   }
  
   ////
   // !vykresli "vybiratko" jazykovych verzi
   // $lang je aktualni jazykova mutace
   // $jazyk je pole vsech slovniku
   function select_lang () {
      global $lang, $jazyk; 

      echo "<p align=\"right\">";
      while (list($nazev, $zkr)=each($jazyk)) {
          if ($this->language==$zkr) {
             echo "$nazev ";
          } else {
             echo "<a href=\"?lang=$zkr#\">$nazev</a> ";
          }
      }
   }

   ////
   // !vykresli hlavni menu
   // zatim foo
   function menu () {
      global $menu;

      echo "<h4>Menu:</h4>\n";
      $m = $menu[$this->language];
      $i = 1;
      while (list($nazev, $url) = each($m)) {
         echo "<a onclick=\"showhide('menu$i')\" ";
         echo "href=\"$url\">$nazev</a><br>\n";
         echo "<div id=\"menu$i\"";
         echo " style=\"display: none;\"";
         echo ">\n";
         echo "<ul style=\"list-style-type: none\">";
         echo "<li>fake1</li>";
         echo "<li>fake2</li>";
         echo "</ul>";
         echo "</div>\n";
         $i++;
      }
   }

   ////
   // !vykresli platny seznam clanku
   function news() {
      global $db, $zobraz;

      // TODO
      //  - tohle bude muset bejt inteligentnejsi
      $sql = "select * from clanek where potvrzeno=1";
      if ($this->language!="cz") {
         $sql .=" and " . $this->language . "_nadpis!=\"\"";
      }
      $db->connect();
      $db->query($sql);
      echo "<table border=\"1\" width=\"100%\">\n";
      while ($x = mysql_fetch_array($db->result)) {
         $x["cz_nadpis"] = $x["nadpis"];
         $x["cz_anotace"] = $x["anotace"];
         $n = $this->language . "_nadpis";
         $a = $this->language . "_anotace";
         echo "<tr>\n";
         echo "<td>";
         echo "<h4>" . $x[$n] . "</h4>";
         echo "<p>" . $x[$a] . "<br>";
         echo "[ <a href=\"clanek.php?lang=" . $this->language;
         echo "&id=" . $x["id"] . "\" target=\"novinky\"";
         echo " onclick=\"window.open('','novinky','width=500,height=600')\">";
         echo $zobraz[$this->language] . "</a> ]\n";
         echo "</td>";
         echo "</tr>\n";
      }
      echo "</table>\n";
   }

   ////
   // !vypise chybovou hlasku
   // $titulek - nadpis a titulek HTML stranky
   // $zprava - vlastni chybova hlaska
   function error($titulek, $zprava) {
         $this->hlavicka($titulek);
         echo "<h1>$titulek</h1>\n";
         echo $zprava;
         $this->pata();
         exit; //vysere se na vsechno
   }

   ////
   // !vypise zpravu (vetsinou informace o vyplneni formulare atp.)
   function msg($titulek, $zprava) {
         $this->hlavicka($titulek);
         echo "<h1>$titulek</h1>\n";
         echo $zprava;
         echo "<p><a href=\"index.php\">zpt do menu</a>";
         $this->pata();
         exit;
   }
  
   ////
   // !zobrazeni aktualni ankety
   // zatim foo, bude to potreba rozdelit do dbou veci..
   // pac je treba poslat cookie, ze hlasoval a to se musi dit 
   // pred vsim ostatnim

	function showanketa($id) {
		global $visitor, $db, $baseurl, $PHP_SELF;

		$db->query("select otazka from ankety where id=$id");
		list($otazka) = mysql_fetch_row($db->result);
		echo "<form action=\"$PHP_SELF\" method=\"get\">\n";
		echo "<table border=\"1\" cellspacing=\"0\" cellpadding=\"5\">\n";
		echo "<tr><td colspan=\"4\">";
		echo "<b>$otazka</b></td></tr>\n";
		$db->query("select sum(pocet) from ankety_odpovedi where anketa_id=$id");
		list($total) = mysql_fetch_row($db->result);
		$db->query("select otazka_id, odpoved, pocet from ankety_odpovedi where anketa_id=$id order by pocet desc");
		while (list($otazka_id,$odpoved,$pocet) = mysql_fetch_row($db->result)) {
			echo "<tr><td><input type=\"radio\" name=\"volba\" value=\"$otazka_id\"></td>\n";
			echo "<td>$odpoved</td>\n";
			echo "<td>";
			if ($total) {
				$ratio = round($pocet*100/$total);
			}
			else {
				$ratio = 0;
			}
			echo $ratio;
			echo "%</td>\n";
			echo "<td><img src=\"$baseurl/images/bb.gif\" ";
			if (!$ratio) {
				echo "width=\"1\"";
			}
			else {
				echo "width=\"",$ratio,"\"";
			}
			echo " height=\"15\" alt=\"-\"></td></tr>\n";
		}
		echo "<tr><td colspan=\"3\">";
		if ($total == 1) {
			echo "Hlasoval $total ten";
		}
		elseif ($total > 1 && $total < 5) {
			echo "Hlasovali $total teni";
		}
		else {
			echo "Hlasovalo $total ten";
		}
		echo "</td>\n";
		echo "<td align=\"right\"><input type=\"submit\" value=\"Hlasuj\"></td></tr>\n";
		echo "</table>\n";
		echo "<input type=\"hidden\" name=\"anketa_id\" value=\"$id\">\n";
		echo "</form>\n";
	}

	function anketa_hlasuj ($id,$volba) {
		global $visitor, $db;

		if (!(in_array($id,$visitor->hlasoval))) {
			array_push($visitor->hlasoval,$id);
			$db->query("update ankety_odpovedi set pocet=pocet+1 where anketa_id=$id and otazka_id=$volba");
		}

	}
			
   function anketa() {
      global $visitor, $db;
      #zatim foo
      echo "anketa<br>";

   }
   
   ////
   // !zacatek fomrulare
   function form_start($action, $method, $upload) {
      echo "<form ";
      if ($upload) echo "enctype=\"multipart/form-data\" ";
      echo "target=\"_top\" action=\"$action\" method=\"$method\">\n";
      echo "<table width=\"600\" border=\"0\">\n";
   }

   ////
   // !konec formulare
   function form_end() {
      echo "</table>\n";
      echo "</form>\n";
   }
 
   ////
   // !vykresli polozku formulare
   // umi text, password, submit, file, hidden, textarea, select
   // u textarea je default pocet radku...
   function input($type, $name, $value, $popis, $default) {
      if ($type!="hidden") {
         echo "<tr valign=\"top\">\n";
         echo "<td>$popis</td>\n";
         echo "<td>";
      }
      switch ($type) {
         case "checkbox":
            echo "<input type=\"$type\" name=\"$name\" value=\"$value\"";
            if ($default) echo " checked";
            echo ">";
            break;
         case "password": 
         case "text": 
            echo "<input type=\"$type\" size=\"30\" name=\"$name\" value=\"$value\">";
            break;
         case "file": 
            echo "<input type=\"$type\" size=\"30\" name=\"$name\">";
            break;
         case "hidden": 
            echo "<input type=\"$type\" name=\"$name\" value=\"$value\">\n";
            break;
         case "textarea":
            echo "<textarea name=\"$name\" cols=\"40\"";
            if ($default) {
                echo " rows=\"$default\"";
            } else {
                echo " rows=\"10\"";
            }
            echo " wrap=\"virtual\">$value</textarea>";
            break;
         case "select":
            echo "<select name=\"$name\" size=\"1\">\n";
            while (list($optval, $option) = each($value)) {
                echo "<option value=\"$optval\"";
                if ($optval == $default) echo " selected";
                echo ">";
                echo $option;
                echo "</option>\n";
            }
            echo "</select>";
            break;
         case "submit":
            echo "<input type=\"$type\" name=\"$name\" value=\"$value\">";
            break;
      }
      if ($type!="hidden") {
         echo "</td>\n";
         echo "</tr>\n";
      }
   }

	function reklama($up = 0) {
		global $db,$visitor,$baseurl;
		
		$db->connect();
		$query = "select * from banners where (((start <= curdate() and (end >= curdate() or end = \"NULL\")) and (counter <= imp)) or unlimited=\"1\") and active=\"1\"";
		$db->query($query);
		$kolik = mysql_num_rows($db->result);
		// zatim se bere nahodne jeden z aktivnich
		// mozna pak vymyslim neco lepsiho
		srand ((double) microtime() * 1000000);
		$id = rand(0,$kolik-1);
		echo "<!-- reklama --><br><a href=\"";
		echo mysql_result($db->result,$id,"url");
		echo "\"><img src=\"$baseurl/adv/banners/";
		echo mysql_result($db->result,$id,"file");
		echo "\" width=\"468\" height=\"60\" alt=\"";
		echo mysql_result($db->result,$id,"alt");
		echo "\"></a><br><!-- /reklama -->";
		// a jeste zaznam do databaze
		if (mysql_result($db->result,$id,"imp") != 0) {
			$ban_id = mysql_result($db->result,$id,"id");
			$query = "update banners set counter=counter+1 where id=$ban_id";
			$db->query($query);
		}
		
	}
   
}
?>
