<?php

require ("./inc/config.inc.php");
require ("$root/inc/functions.inc");

require ("$root/inc/index.inc");
$i = new index_bar;
include ($template_header);

/* Get the global variables to something more confortable to work.
   This avoid us to enable register_globals
 */
$PHP_SELF = $_SERVER["PHP_SELF"];
$gallery = $_GET["gallery"];
$snimek = $_GET["snimek"];

echo "<div class=\"title-main\">$text_title</div>\n";

if ($gallery) {
	echo "<div align=\"center\" class=\"subtitle-main\"> " . 
		  $gallery . " </div>\n";
}
echo "<hr noshade>\n";

if (!$gallery) {
	/* Show all galleries availables */
	print_general (dir ($root));

} elseif (!$snimek) {
	/* Show the thumbnails for the gallery selected */
	echo "<p>";
	echo "[ <a href=\"$PHP_SELF\">" . _("back to index") ."</a> ]\n";
	echo "</p><p>\n";
	$arr = get_thumbnails ($root, $gallery);
	list_thumbnails ($arr, $gallery);
	echo "</p>\n";

	if ($enable_download) {
		echo "<p>\n";
		echo get_zipped ($gallery);
		echo "\n</p>\n";
	}
	
} else {
	/* Show the default image */
	echo "<p>\n";
	echo "[ <a href=\"$PHP_SELF\">" . _("back to index") . "</a> ]\n";
	echo "[ <a href=\"$PHP_SELF?gallery=$gallery\">" .
		 _("back to thumbnails") . "</a> ]\n";

	/* Get the navitagion as text and image */
	$id = sprintf("%05d", $snimek);
	list ($next_text, $next_img, $next_size) = get_thumb ($gallery, 
			$id + 1, _("next"), "&gt;");
	list ($prev_text, $prev_img, $prev_size) = get_thumb ($gallery, 
			$id - 1, _("prev"), "&lt;");
	list ($mq_link, $mq_size) = get_info_mq ($gallery, $snimek);
	list ($hq_link, $hq_size) = get_info_hq ($gallery, $snimek);

	$comment = get_comment ($gallery, $snimek);
	$image = get_image ($root, $gallery, $snimek);


	/* Print text navigation */
	echo "$prev_text\n$next_text\n";
	echo "</p>\n";

	echo "<p>\n";
	show_thumbs ($root, $gallery, $snimek);
	echo "</p>\n";

	echo "<p>\n";
	echo "$image\n";
	echo "</p>\n";
	echo "<p class=\"file-size\">\n";
	if ($mq_link) {
		echo "[ $mq_link ($mq_size) ]\n";
	}
	if ($hq_link) {
		echo "[ $hq_link ($hq_size) ]\n";
	}
	echo "</p>\n";

	/* Print comments.  The defaul format is:
	   <snap>image ###: </snap>
	   So, we wouldn't like to show comments if there none
	   interesting to show */
	if (strlen ($comment) > 25) {
		echo "<p class=\"comment\">\n";
		echo $comment;
		echo "</p>\n";
	}

	/* Print image navigation */
	echo "<p>\n";
	echo "<table>";
	echo "	<tr>";
	echo "		<td width=\"20%\">$prev_img";
	echo "			<div class=\"file-size\">$prev_size</div>";
	echo "		</td>";
	echo "		<td></td>";
	echo "		<td width=\"20%\" align=\"right\">$next_img";
	echo "			<div class=\"file-size\">$next_size</div>";
	echo "		</td>";
	echo "	</tr>";
	echo "</table>\n";
	echo "</p>\n";
}

/* How we can end each page */
include ($template_footer);
?>
